uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;
uniform float timedelta2;
uniform float camerax;
uniform float amplitude;
attribute vec4 position;
attribute vec2 texture0;
uniform vec2 translationxy;
varying vec2 texCoord;
varying float toadd;

uniform float up1;
uniform float up2;
void main ()
{
  vec4 pos_1;
  texCoord = (texture0 + translationxy);
  pos_1 = (modelViewMatrix * position);
  if (((texCoord.y == up1) || (texCoord.y == up2))) {
    pos_1.y = (pos_1.y + (sin(
      ((timedelta2 + pos_1.x) + camerax)
    ) * amplitude));
    toadd = 1.0;
  } else {
    toadd = 0.7;
  };
  gl_Position = (projectionMatrix * pos_1);
}